
From: Andrew Morton <akpm@osdl.org>

In file included from arch/i386/kernel/pci-dma.c:13:
include/linux/pci.h:564: warning: static declaration for `pci_block_user_cfg_access' follows non-static
include/linux/pci.h:565: warning: static declaration for `pci_unblock_user_cfg_access' follows non-static

Cc: Brian King <brking@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/pci.h |    3 ---
 1 files changed, 3 deletions(-)

diff -puN include/linux/pci.h~pci-block-config-access-during-bist-fix-42 include/linux/pci.h
--- devel/include/linux/pci.h~pci-block-config-access-during-bist-fix-42	2005-09-07 01:20:29.000000000 -0700
+++ devel-akpm/include/linux/pci.h	2005-09-07 01:20:29.000000000 -0700
@@ -557,9 +557,6 @@ static inline int pci_enable_wake(struct
 
 #define pci_dma_burst_advice(pdev, strat, strategy_parameter) do { } while (0)
 
-extern void pci_block_user_cfg_access(struct pci_dev *dev);
-extern void pci_unblock_user_cfg_access(struct pci_dev *dev);
-
 static inline void pci_block_user_cfg_access(struct pci_dev *dev) { }
 static inline void pci_unblock_user_cfg_access(struct pci_dev *dev) { }
 
_
